/**
 * \file rp_spi.h
 */

#include <stdint.h> /*uint32_t*/

/**
 * \brief Struktura pro prichozi data z fpga.
 */
struct rpi_in{
	uint32_t pozice;		/*continue with normal size and test it..*/
	uint32_t pozice_raw;		/*with offset*/
	uint32_t ch0, ch1, ch2;
	int8_t hal1,hal2,hal3; 		/* bool values */
	int8_t en1, en2, en3; 		/*(bool)last read pwm-enable values - !they are changed after reading ! */
	int8_t shdn1,shdn2,shdn3; 	/*(bool)last read shutdown values - !they are changed after reading ! */
	int8_t b54, b53, b52, b51, b50, b49, b48, b47, b46, b45, b44, b43, b42, b41, b40, b39, b38, b37, b36; /*bits for debug*/
	uint16_t adc_m_count;		/*current measurments count*/
	uint8_t debug_rx[16];
	uint16_t index_position;	/* raw position of irc_i */
};

/**
 * \brief Testovaci funkce.
 */
extern void transfer(void);

/**
 * \brief Inicializace pro spi.
 */
extern int spi_init(void);

/**
 * \brief Uzavreni spi.
 */
extern void spi_disable(void);

extern struct rpi_in spi_read(uint8_t *);
